%bcond_without tests
%bcond_without weak_deps

%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')
%global __provides_exclude_from ^/opt/ros/galactic/.*$
%global __requires_exclude_from ^/opt/ros/galactic/.*$

Name:           ros-galactic-camera-calibration
Version:        2.2.1
Release:        3%{?dist}%{?release_suffix}
Summary:        ROS camera_calibration package

License:        BSD
URL:            https://index.ros.org/p/camera_calibration/github-ros-perception-image_pipeline/
Source0:        %{name}-%{version}.tar.gz

Requires:       ros-galactic-cv-bridge
Requires:       ros-galactic-image-geometry
Requires:       ros-galactic-message-filters
Requires:       ros-galactic-rclpy
Requires:       ros-galactic-sensor-msgs
Requires:       ros-galactic-std-srvs
Requires:       ros-galactic-ros-workspace
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-requests
BuildRequires:  ros-galactic-ament-copyright
BuildRequires:  ros-galactic-ament-flake8
BuildRequires:  ros-galactic-ament-pep257
BuildRequires:  ros-galactic-cv-bridge
BuildRequires:  ros-galactic-image-geometry
BuildRequires:  ros-galactic-message-filters
BuildRequires:  ros-galactic-rclpy
BuildRequires:  ros-galactic-ros-workspace
BuildRequires:  ros-galactic-sensor-msgs
BuildRequires:  ros-galactic-std-srvs
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
Provides:       %{name}-runtime = %{version}-%{release}

%description
camera_calibration allows easy calibration of monocular or stereo cameras using
a checkerboard calibration target.

%prep
%autosetup -p1

%build
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi
%py3_build

%install
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi
%py3_install -- --prefix "/opt/ros/galactic"

%if 0%{?with_tests}
%check
# Look for a directory with a name indicating that it contains tests
TEST_TARGET=$(ls -d * | grep -m1 "\(test\|tests\)" ||:)
if [ -n "$TEST_TARGET" ] && %__python3 -m pytest --version; then
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi
%__python3 -m pytest $TEST_TARGET || echo "RPM TESTS FAILED"
else echo "RPM TESTS SKIPPED"; fi
%endif

%files
/opt/ros/galactic

%changelog
* Tue Apr 20 2021 Vincent Rabaud <vincent.rabaud@gmail.com> - 2.2.1-3
- Autogenerated by Bloom

* Mon Mar 29 2021 Vincent Rabaud <vincent.rabaud@gmail.com> - 2.2.1-2
- Autogenerated by Bloom

* Mon Mar 08 2021 Vincent Rabaud <vincent.rabaud@gmail.com> - 2.2.1-1
- Autogenerated by Bloom

